Develop and Download Open Source Software

Browse CVS Repository

Diff of /satellite/satellite4/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.9 by orrisroot, Fri Feb 18 13:46:06 2005 UTC revision 1.10 by orrisroot, Wed Feb 23 09:14:48 2005 UTC
# Line 1054  Optional Packages: Line 1054  Optional Packages:
1054    --with-tags[=TAGS]    --with-tags[=TAGS]
1055                            include additional configurations [automatic]                            include additional configurations [automatic]
1056    --with-x                use the X Window System    --with-x                use the X Window System
1057      --with-xaw3d[=prefix]   use Xaw3d for X widget set
1058    
1059  Some influential environment variables:  Some influential environment variables:
1060    CXX         C++ compiler command    CXX         C++ compiler command
# Line 4540  ia64-*-hpux*) Line 4541  ia64-*-hpux*)
4541    ;;    ;;
4542  *-*-irix6*)  *-*-irix6*)
4543    # Find out which ABI we are using.    # Find out which ABI we are using.
4544    echo '#line 4543 "configure"' > conftest.$ac_ext    echo '#line 4544 "configure"' > conftest.$ac_ext
4545    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4546    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
4547    ac_status=$?    ac_status=$?
# Line 5381  fi Line 5382  fi
5382    
5383    
5384  # Provide some information about the compiler.  # Provide some information about the compiler.
5385  echo "$as_me:5384:" \  echo "$as_me:5385:" \
5386       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
5387  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
5388  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 6386  else Line 6387  else
6387     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
6388     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6389     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6390     (eval echo "\"\$as_me:6389: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6390: $lt_compile\"" >&5)
6391     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6392     ac_status=$?     ac_status=$?
6393     cat conftest.err >&5     cat conftest.err >&5
6394     echo "$as_me:6393: \$? = $ac_status" >&5     echo "$as_me:6394: \$? = $ac_status" >&5
6395     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6396       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6397       # So say no if there are warnings       # So say no if there are warnings
# Line 6633  else Line 6634  else
6634     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
6635     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6636     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6637     (eval echo "\"\$as_me:6636: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6637: $lt_compile\"" >&5)
6638     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6639     ac_status=$?     ac_status=$?
6640     cat conftest.err >&5     cat conftest.err >&5
6641     echo "$as_me:6640: \$? = $ac_status" >&5     echo "$as_me:6641: \$? = $ac_status" >&5
6642     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6643       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6644       # So say no if there are warnings       # So say no if there are warnings
# Line 6700  else Line 6701  else
6701     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
6702     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6703     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6704     (eval echo "\"\$as_me:6703: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6704: $lt_compile\"" >&5)
6705     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
6706     ac_status=$?     ac_status=$?
6707     cat out/conftest.err >&5     cat out/conftest.err >&5
6708     echo "$as_me:6707: \$? = $ac_status" >&5     echo "$as_me:6708: \$? = $ac_status" >&5
6709     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
6710     then     then
6711       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 8065  linux*) Line 8066  linux*)
8066    libsuff=    libsuff=
8067    case "$host_cpu" in    case "$host_cpu" in
8068    x86_64*|s390x*|powerpc64*)    x86_64*|s390x*|powerpc64*)
8069      echo '#line 8068 "configure"' > conftest.$ac_ext      echo '#line 8069 "configure"' > conftest.$ac_ext
8070      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8071    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
8072    ac_status=$?    ac_status=$?
# Line 8761  else Line 8762  else
8762    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8763    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8764    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8765  #line 8764 "configure"  #line 8765 "configure"
8766  #include "confdefs.h"  #include "confdefs.h"
8767    
8768  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 8859  else Line 8860  else
8860    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8861    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8862    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8863  #line 8862 "configure"  #line 8863 "configure"
8864  #include "confdefs.h"  #include "confdefs.h"
8865    
8866  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11039  else Line 11040  else
11040     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
11041     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11042     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
11043     (eval echo "\"\$as_me:11042: $lt_compile\"" >&5)     (eval echo "\"\$as_me:11043: $lt_compile\"" >&5)
11044     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
11045     ac_status=$?     ac_status=$?
11046     cat conftest.err >&5     cat conftest.err >&5
11047     echo "$as_me:11046: \$? = $ac_status" >&5     echo "$as_me:11047: \$? = $ac_status" >&5
11048     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
11049       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
11050       # So say no if there are warnings       # So say no if there are warnings
# Line 11106  else Line 11107  else
11107     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
11108     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11109     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
11110     (eval echo "\"\$as_me:11109: $lt_compile\"" >&5)     (eval echo "\"\$as_me:11110: $lt_compile\"" >&5)
11111     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
11112     ac_status=$?     ac_status=$?
11113     cat out/conftest.err >&5     cat out/conftest.err >&5
11114     echo "$as_me:11113: \$? = $ac_status" >&5     echo "$as_me:11114: \$? = $ac_status" >&5
11115     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
11116     then     then
11117       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 11677  linux*) Line 11678  linux*)
11678    libsuff=    libsuff=
11679    case "$host_cpu" in    case "$host_cpu" in
11680    x86_64*|s390x*|powerpc64*)    x86_64*|s390x*|powerpc64*)
11681      echo '#line 11680 "configure"' > conftest.$ac_ext      echo '#line 11681 "configure"' > conftest.$ac_ext
11682      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11683    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
11684    ac_status=$?    ac_status=$?
# Line 12373  else Line 12374  else
12374    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
12375    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
12376    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
12377  #line 12376 "configure"  #line 12377 "configure"
12378  #include "confdefs.h"  #include "confdefs.h"
12379    
12380  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 12471  else Line 12472  else
12472    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
12473    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
12474    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
12475  #line 12474 "configure"  #line 12475 "configure"
12476  #include "confdefs.h"  #include "confdefs.h"
12477    
12478  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 13308  else Line 13309  else
13309     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
13310     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13311     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
13312     (eval echo "\"\$as_me:13311: $lt_compile\"" >&5)     (eval echo "\"\$as_me:13312: $lt_compile\"" >&5)
13313     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
13314     ac_status=$?     ac_status=$?
13315     cat conftest.err >&5     cat conftest.err >&5
13316     echo "$as_me:13315: \$? = $ac_status" >&5     echo "$as_me:13316: \$? = $ac_status" >&5
13317     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
13318       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
13319       # So say no if there are warnings       # So say no if there are warnings
# Line 13375  else Line 13376  else
13376     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
13377     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13378     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
13379     (eval echo "\"\$as_me:13378: $lt_compile\"" >&5)     (eval echo "\"\$as_me:13379: $lt_compile\"" >&5)
13380     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
13381     ac_status=$?     ac_status=$?
13382     cat out/conftest.err >&5     cat out/conftest.err >&5
13383     echo "$as_me:13382: \$? = $ac_status" >&5     echo "$as_me:13383: \$? = $ac_status" >&5
13384     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
13385     then     then
13386       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 14718  linux*) Line 14719  linux*)
14719    libsuff=    libsuff=
14720    case "$host_cpu" in    case "$host_cpu" in
14721    x86_64*|s390x*|powerpc64*)    x86_64*|s390x*|powerpc64*)
14722      echo '#line 14721 "configure"' > conftest.$ac_ext      echo '#line 14722 "configure"' > conftest.$ac_ext
14723      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
14724    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
14725    ac_status=$?    ac_status=$?
# Line 15364  else Line 15365  else
15365     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15366     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15367     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15368     (eval echo "\"\$as_me:15367: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15368: $lt_compile\"" >&5)
15369     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15370     ac_status=$?     ac_status=$?
15371     cat conftest.err >&5     cat conftest.err >&5
15372     echo "$as_me:15371: \$? = $ac_status" >&5     echo "$as_me:15372: \$? = $ac_status" >&5
15373     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15374       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15375       # So say no if there are warnings       # So say no if there are warnings
# Line 15611  else Line 15612  else
15612     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15613     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15614     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15615     (eval echo "\"\$as_me:15614: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15615: $lt_compile\"" >&5)
15616     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15617     ac_status=$?     ac_status=$?
15618     cat conftest.err >&5     cat conftest.err >&5
15619     echo "$as_me:15618: \$? = $ac_status" >&5     echo "$as_me:15619: \$? = $ac_status" >&5
15620     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15621       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15622       # So say no if there are warnings       # So say no if there are warnings
# Line 15678  else Line 15679  else
15679     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15680     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15681     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15682     (eval echo "\"\$as_me:15681: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15682: $lt_compile\"" >&5)
15683     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
15684     ac_status=$?     ac_status=$?
15685     cat out/conftest.err >&5     cat out/conftest.err >&5
15686     echo "$as_me:15685: \$? = $ac_status" >&5     echo "$as_me:15686: \$? = $ac_status" >&5
15687     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
15688     then     then
15689       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 17043  linux*) Line 17044  linux*)
17044    libsuff=    libsuff=
17045    case "$host_cpu" in    case "$host_cpu" in
17046    x86_64*|s390x*|powerpc64*)    x86_64*|s390x*|powerpc64*)
17047      echo '#line 17046 "configure"' > conftest.$ac_ext      echo '#line 17047 "configure"' > conftest.$ac_ext
17048      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
17049    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
17050    ac_status=$?    ac_status=$?
# Line 17739  else Line 17740  else
17740    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
17741    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
17742    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
17743  #line 17742 "configure"  #line 17743 "configure"
17744  #include "confdefs.h"  #include "confdefs.h"
17745    
17746  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 17837  else Line 17838  else
17838    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
17839    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
17840    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
17841  #line 17840 "configure"  #line 17841 "configure"
17842  #include "confdefs.h"  #include "confdefs.h"
17843    
17844  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 20705  echo "${ECHO_T}libraries $x_libraries, h Line 20706  echo "${ECHO_T}libraries $x_libraries, h
20706  fi  fi
20707    
20708    
   
20709  # Change these status  # Change these status
20710    
20711  # check_motif="no"  # check_motif="no"
# Line 21711  fi Line 21711  fi
21711  fi  fi
21712    
21713    
21714    if test "x$check_xaw3d" = xyes; then
21715    
21716    # Check whether --with-xaw3d or --without-xaw3d was given.
21717    if test "${with_xaw3d+set}" = set; then
21718      withval="$with_xaw3d"
21719      with_xaw3d=yes && xaw3d_prefix="$withval"
21720    else
21721      with_xaw3d=no  && xaw3d_prefix=""
21722    fi;
21723      if test "x$with_xaw3d" = xyes; then
21724        check_xaw="no"
21725        check_xaw3d_error="yes"
21726      fi
21727      if test "x$xaw3d_prefix" = x ; then
21728        XAW3D_INCLUDES=""
21729        XAW3D_LFLAGS=""
21730      else
21731        XAW3D_INCLUDES="-I$xaw3d_prefix/include"
21732        XAW3D_LFLAGS="-L$xaw3d_prefix/lib"
21733      fi
21734    fi
21735    
21736    
21737  #  #
# Line 22242  if test "x$check_xaw3d" = xyes; then Line 22263  if test "x$check_xaw3d" = xyes; then
22263  #  #
22264    save_cflags="$CFLAGS"    save_cflags="$CFLAGS"
22265    save_libs="$LIBS"    save_libs="$LIBS"
22266    CFLAGS="$save_cflags $X_CFLAGS"    CFLAGS="$save_cflags $X_CFLAGS $XAW3D_INCLUDES"
22267    LIBS="$X_LIBS $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"    LIBS="$X_LIBS $XAW3D_LFLAGS $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
22268    echo "$as_me:$LINENO: checking for XpmCreatePixmapFromBuffer in -lXpm" >&5    echo "$as_me:$LINENO: checking for XpmCreatePixmapFromBuffer in -lXpm" >&5
22269  echo $ECHO_N "checking for XpmCreatePixmapFromBuffer in -lXpm... $ECHO_C" >&6  echo $ECHO_N "checking for XpmCreatePixmapFromBuffer in -lXpm... $ECHO_C" >&6
22270  if test "${ac_cv_lib_Xpm_XpmCreatePixmapFromBuffer+set}" = set; then  if test "${ac_cv_lib_Xpm_XpmCreatePixmapFromBuffer+set}" = set; then
# Line 22313  fi Line 22334  fi
22334  #  #
22335    save_cflags="$CFLAGS"    save_cflags="$CFLAGS"
22336    save_libs="$LIBS"    save_libs="$LIBS"
22337    CFLAGS="$save_cflags $X_CFLAGS"    CFLAGS="$save_cflags $X_CFLAGS $XAW3D_INCLUDES"
22338    LIBS="$X_LIBS $XPMLIB $XMULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"    LIBS="$X_LIBS  $XAW3D_LFLAGS $XPMLIB $XMULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
22339    echo "$as_me:$LINENO: checking for main in -lXaw3d" >&5    echo "$as_me:$LINENO: checking for main in -lXaw3d" >&5
22340  echo $ECHO_N "checking for main in -lXaw3d... $ECHO_C" >&6  echo $ECHO_N "checking for main in -lXaw3d... $ECHO_C" >&6
22341  if test "${ac_cv_lib_Xaw3d_main+set}" = set; then  if test "${ac_cv_lib_Xaw3d_main+set}" = set; then
# Line 22382  echo "$as_me: error: The X11 Athena Widg Line 22403  echo "$as_me: error: The X11 Athena Widg
22403    else    else
22404      have_xaw3d="yes"      have_xaw3d="yes"
22405      XAW3D_CFLAGS="-DHAVE_XAW3D $X_CFLAGS"      XAW3D_CFLAGS="-DHAVE_XAW3D $X_CFLAGS"
22406      XAW3D_LIBS="$X_LIBS $XAW3DLIB $XPMLIB $XMULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS"      XAW3D_LIBS="$X_LIBS $XAW3D_LFLAGS $XAW3DLIB $XPMLIB $XMULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS"
22407    fi    fi
22408  fi  fi
22409  # end of check_xaw3d  # end of check_xaw3d
# Line 22391  fi Line 22412  fi
22412    
22413    
22414  # set XTOOLKIT_CFLAGS and XTOOLKIT_LIBS variables  # set XTOOLKIT_CFLAGS and XTOOLKIT_LIBS variables
22415    echo "$as_me:$LINENO: checking for X Toolkit" >&5
22416    echo $ECHO_N "checking for X Toolkit... $ECHO_C" >&6
22417  if test "x$have_motif" = xyes; then  if test "x$have_motif" = xyes; then
22418    XTOOLKIT_CFLAGS="$XM_CFLAGS"    XTOOLKIT_CFLAGS="$XM_CFLAGS"
22419    XTOOLKIT_LIBS="$XM_LIBS"    XTOOLKIT_LIBS="$XM_LIBS"
22420      echo "$as_me:$LINENO: result: Motif : libraries $XTOOLKIT_LIBS, cflags $XTOOLKIT_CFLAGS" >&5
22421    echo "${ECHO_T}Motif : libraries $XTOOLKIT_LIBS, cflags $XTOOLKIT_CFLAGS" >&6
22422  elif test "x$have_xaw3d" = xyes; then  elif test "x$have_xaw3d" = xyes; then
22423    XTOOLKIT_CFLAGS="$XAW3D_CFLAGS"    XTOOLKIT_CFLAGS="$XAW3D_CFLAGS"
22424    XTOOLKIT_LIBS="$XAW3D_LIBS"    XTOOLKIT_LIBS="$XAW3D_LIBS"
22425      echo "$as_me:$LINENO: result: Xaw3d : libraries $XTOOLKIT_LIBS, cflags $XTOOLKIT_CFLAGS" >&5
22426    echo "${ECHO_T}Xaw3d : libraries $XTOOLKIT_LIBS, cflags $XTOOLKIT_CFLAGS" >&6
22427  elif test "x$have_xaw" = xyes; then  elif test "x$have_xaw" = xyes; then
22428    XTOOLKIT_CFLAGS="$XAW_CFLAGS"    XTOOLKIT_CFLAGS="$XAW_CFLAGS"
22429    XTOOLKIT_LIBS="$XAW_LIBS"    XTOOLKIT_LIBS="$XAW_LIBS"
22430      echo "$as_me:$LINENO: result: Xaw : libraries $XTOOLKIT_LIBS, cflags $XTOOLKIT_CFLAGS" >&5
22431    echo "${ECHO_T}Xaw : libraries $XTOOLKIT_LIBS, cflags $XTOOLKIT_CFLAGS" >&6
22432  else  else
22433      echo "$as_me:$LINENO: result: no" >&5
22434    echo "${ECHO_T}no" >&6
22435    { { echo "$as_me:$LINENO: error: suitable Widget set could not be found" >&5    { { echo "$as_me:$LINENO: error: suitable Widget set could not be found" >&5
22436  echo "$as_me: error: suitable Widget set could not be found" >&2;}  echo "$as_me: error: suitable Widget set could not be found" >&2;}
22437     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
# Line 22408  fi Line 22439  fi
22439    
22440    
22441    
   
22442    
22443    
22444  # FIXME: Replace `main' with a function in `-lsatellite':  # FIXME: Replace `main' with a function in `-lsatellite':

Legend:
Removed from v.1.9  
changed lines
  Added in v.1.10

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26